Loading...
Searching...
No Matches
ICursorControl.h File Reference
`#include "IReferenceCounted.h"`
`#include "position2d.h"`
`#include "rect.h"`

Go to the source code of this file.

## Classes

class | irr::gui::ICursorControl
| Interface to manipulate the mouse cursor. More...
struct | irr::gui::SCursorSprite
| structure used to set sprites as cursors. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::gui
| The gui namespace contains useful classes for easy creation of a graphical user interface.

## Enumerations

enum | irr::gui::ECURSOR_ICON { irr::gui::ECI_NORMAL , irr::gui::ECI_CROSS , irr::gui::ECI_HAND , irr::gui::ECI_HELP , irr::gui::ECI_IBEAM , irr::gui::ECI_NO , irr::gui::ECI_WAIT , irr::gui::ECI_SIZEALL , irr::gui::ECI_SIZENESW , irr::gui::ECI_SIZENWSE , irr::gui::ECI_SIZENS , irr::gui::ECI_SIZEWE , irr::gui::ECI_UP , irr::gui::ECI_COUNT }
| Default icons for cursors. More...
enum | irr::gui::ECURSOR_PLATFORM_BEHAVIOR { irr::gui::ECPB_NONE = 0 , irr::gui::ECPB_X11_CACHE_UPDATES = 1 }
| platform specific behavior flags for the cursor More...

## Variables

const c8 *const | irr::gui::GUICursorIconNames [ECI_COUNT+1]
| Names for ECURSOR_ICON.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0